# Google News Sitemap

## Introduction

The Google News Sitemap module generates a Google News compatible sitemap for your Drupal 10 site. This helps Google News to discover and index your news content more efficiently.

## Requirements

- Drupal 10.x
- Node module (core)
- Views module (core)

## Installation

1. Download and place the module in your `/modules/custom` directory.
2. Enable the module via the Extend page (`/admin/modules`) or using Drush:
   ```
   drush en googlenews_sitemap
   ```

## Configuration

1. Navigate to Configuration > Search and metadata > Google News Sitemap (`/admin/config/search/googlenews-sitemap`).
2. Configure the following settings:
   - **Publication Name**: The name of your publication as it should appear in Google News.
   - **Publication Language**: The language code of your publication (e.g., en, fr, de).
   - **Content Types to Include**: Select which content types should be included in the Google News sitemap.
   - **Maximum Age (hours)**: Google News only accepts content published within the last 48 hours. You can set a lower value if needed.

## Usage

After configuration, your Google News sitemap will be available at:

```
/googlenews-sitemap.xml
```

You should submit this URL to Google Search Console to inform Google about your news content.

## Google News Requirements

To be eligible for inclusion in Google News, your content should:

1. Be timely and relevant news content.
2. Be published within the last 48 hours.
3. Follow Google News content policies.

For more information, visit [Google News Publisher Help](https://support.google.com/news/publisher-center/).

## Troubleshooting

- If your sitemap is empty, ensure you have published content of the selected content types within the specified maximum age.
- Verify that your content meets Google News requirements.
- Check the Drupal logs for any errors related to the module.

## Maintainers

This module is maintained by the community. Feel free to contribute by submitting issues or pull requests on GitHub.
